/* A Bison parser, made by GNU Bison 2.3.  */

/* Skeleton interface for Bison's Yacc-like parsers in C

   Copyright (C) 1984, 1989, 1990, 2000, 2001, 2002, 2003, 2004, 2005, 2006
   Free Software Foundation, Inc.

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 51 Franklin Street, Fifth Floor,
   Boston, MA 02110-1301, USA.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.

   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* Tokens.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
   /* Put the tokens into the symbol table, so that GDB and other debuggers
      know about them.  */
   enum yytokentype {
     PLUS = 258,
     MINUS = 259,
     MULT = 260,
     DIV = 261,
     EXPO = 262,
     MODULO = 263,
     ANDIF = 264,
     ORIF = 265,
     NOT = 266,
     BLOCKFILTER1 = 267,
     BLOCKFILTER2 = 268,
     IN = 269,
     RELOP = 270,
     AND = 271,
     OR = 272,
     XOR = 273,
     LSHIFT = 274,
     RSHIFT = 275,
     BITCOMPL = 276,
     TRUECONST = 277,
     FALSECONST = 278,
     RPOINT = 279,
     RLINE = 280,
     RCIRCLE = 281,
     RRING = 282,
     RELLIPSE = 283,
     RELLIPSERING = 284,
     RBOX = 285,
     RRECTANGLE = 286,
     RPOLYGON = 287,
     RSECTOR = 288,
     RDIAMOND = 289,
     BLOCK = 290,
     NUMBER = 291,
     AXISNAME = 292,
     AFUNC1 = 293,
     AFUNC2 = 294
   };
#endif
/* Tokens.  */
#define PLUS 258
#define MINUS 259
#define MULT 260
#define DIV 261
#define EXPO 262
#define MODULO 263
#define ANDIF 264
#define ORIF 265
#define NOT 266
#define BLOCKFILTER1 267
#define BLOCKFILTER2 268
#define IN 269
#define RELOP 270
#define AND 271
#define OR 272
#define XOR 273
#define LSHIFT 274
#define RSHIFT 275
#define BITCOMPL 276
#define TRUECONST 277
#define FALSECONST 278
#define RPOINT 279
#define RLINE 280
#define RCIRCLE 281
#define RRING 282
#define RELLIPSE 283
#define RELLIPSERING 284
#define RBOX 285
#define RRECTANGLE 286
#define RPOLYGON 287
#define RSECTOR 288
#define RDIAMOND 289
#define BLOCK 290
#define NUMBER 291
#define AXISNAME 292
#define AFUNC1 293
#define AFUNC2 294




#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED
typedef union YYSTYPE
#line 57 "DssParser.y"
{
    double                  yNumber;
    std::string                  *yBlockSpec;
    std::string                  *yAxisName;
    double                  (*yFunc1)(double);
    double                  (*yFunc2)(double, double);
    DRange                  *yRange;
    DRangeList              *yRangeList;
    std::vector<float>           *yPointList;
    RelOp                   yRelOp;
    DSfilter                *yDSfilter;
  }
/* Line 1529 of yacc.c.  */
#line 140 "DssParser.hh"
	YYSTYPE;
# define yystype YYSTYPE /* obsolescent; will be withdrawn */
# define YYSTYPE_IS_DECLARED 1
# define YYSTYPE_IS_TRIVIAL 1
#endif

extern YYSTYPE yylval;

